﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Drawing.Printing;

namespace howto_print_image
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Print an image.
        private void pdocImage_PrintPage(object sender, PrintPageEventArgs e)
        {
            // Print in the upper left corner at its full size.
            e.Graphics.DrawImage(picImage.Image,
                e.MarginBounds.X, e.MarginBounds.Y,
                picImage.Image.Width, picImage.Image.Height);

            // Print in the upper right corner,
            // sized to fit beside the other image.
            int left = e.MarginBounds.Left + picImage.Image.Width;
            int width = e.MarginBounds.Width - picImage.Image.Width;
            float scale = width / (float)picImage.Image.Width;
            int height = (int)(picImage.Image.Height * scale);
            e.Graphics.DrawImage(picImage.Image,
                left, e.MarginBounds.Y, width, height);

            // Print the same size in the lower right corner.
            int top = e.MarginBounds.Bottom - height;
            e.Graphics.DrawImage(picImage.Image,
                left, top, width, height);
        }

        // Display the print preview dialog.
        private void btnPrint_Click(object sender, EventArgs e)
        {
            ppdImage.ShowDialog();
        }
    }
}
